## mol-modules-2.6.12 0.9.70+2.6.12+1-2

=== debian/changelog ===
mol-modules-2.6.12 (1:0.9.70+2.6.12+1-2) unstable; urgency=low

  * Rebuild against mol 0.9.70-20, fixing a bunch of gcc-4.0 and new binutils
    asm build problems. Sorry for having messed up the previous one.

 -- Sven Luther <luther@debian.org>  Wed, 14 Sep 2005 22:11:50 +0200

mol-modules-2.6.12 (1:0.9.70+2.6.12+1-1) unstable; urgency=low

  * Rebuilt against linux-image-2.6.12-1.
  * This is the first release since Jens saddly left us, so i will copy the
    dedication of the kernel packages here too :

    The Kernel Team offers its condolences to the family of Jens Schmalzing
    (jensen@debian), who died Saturday, July 30, 2005 in a tragic accident
    in Munich. Jens was a member of the Kernel Team, and was instrumental in
    taking the powerpc kernel package to 2.6, as well as maintaining MOL
    and its kernel modules.

    Let's all join in this, and thanks Jens for the great job you did on the
    MOL packages.

 -- Sven Luther <luther@debian.org>  Wed, 14 Sep 2005 11:52:59 +0200

mol-modules-2.6.11 (1:0.9.70+2.6.11+2-1) unstable; urgency=low

  * Loosen the dependency on the kernel-image package (closes: Bug#313014).

 -- Jens Schmalzing <jensen@debian.org>  Mon, 13 Jun 2005 09:12:04 +0200

mol-modules-2.6.11 (1:0.9.70+2.6.11+2) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

  * Changed debian/rules to work with the new kernel-headers packages.
  
  * Updated policy version.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 12 Jun 2005 22:28:10 +0200

mol-modules-2.6.11 (1:0.9.70+2.6.11+1) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 21 Apr 2005 01:23:33 +0200

mol-modules-2.6.10 (1:0.9.70+2.6.10+3) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 12 Jan 2005 18:04:16 +0100

mol-modules-2.6.9 (1:0.9.70+2.6.9+4) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 12 Jan 2005 18:04:16 +0100

mol-modules-2.6.9 (1:0.9.70+2.6.9+3) unstable; urgency=low

  * Rebuilt the package against both the new mol-modules-source package
    and the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 31 Dec 2004 12:36:40 +0100

mol-modules-2.6.9 (1:0.9.70+2.6.9+1) unstable; urgency=low

  * Rebuilt the package against both the new mol-modules-source package
    and the new kernel-build packages.

  * Added a versioned build-time dependency on the mol-modules-source
    package, to make sure the fix for building the sheep network driver
    against 2.6.9 and later kernels is used.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 28 Oct 2004 15:09:35 +0200

mol-modules-2.6.8 (1:0.9.70+2.6.8+6) unstable; urgency=medium

  * Rebuilt the package against the new kernel-build packages.
  * Added a versioned build-time dependency on the kernel-headers package,
    just to make sure.

 -- Jens Schmalzing <jensen@debian.org>  Sun,  3 Oct 2004 17:24:00 +0200

mol-modules-2.6.8 (1:0.9.70+2.6.8+5) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 14 Sep 2004 00:38:47 +0200

mol-modules-2.6.8 (1:0.9.70+2.6.8+4) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Mon, 30 Aug 2004 22:12:22 +0200

mol-modules-2.6.8 (1:0.9.70+2.6.8+3) unstable; urgency=high

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 27 Aug 2004 19:11:04 +0200

mol-modules-2.6.8 (1:0.9.70+2.6.8+1) unstable; urgency=high
  
  * Rebuilt the package against the new kernel-build packages.
  * NMU with maintainers consent.
  
 -- Sven Luther <luther@debian.org>  Wed, 18 Aug 2004 20:08:27 +0200
  

mol-modules-2.6.7 (1:0.9.70+2.6.7+5) unstable; urgency=high

  * Rebuilt the package against the new kernel-build packages.  Matched
    urgencies to synchronize entry into sarge.

 -- Jens Schmalzing <jensen@debian.org>  Fri,  6 Aug 2004 07:01:08 +0200

mol-modules-2.6.7 (1:0.9.70+2.6.7+4) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 27 Jul 2004 20:07:18 +0200

mol-modules-2.6.7 (1:0.9.70+2.6.7+3) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 10 Jul 2004 05:06:00 +0200

mol-modules-2.6.7 (1:0.9.70+2.6.7+2-1) unstable; urgency=low

  * Added dh_installmodules to the install target, so update-modules is
    called correctly upon installation and removal of the package.

 -- Jens Schmalzing <jensen@debian.org>  Mon, 28 Jun 2004 00:22:38 +0200

mol-modules-2.6.7 (1:0.9.70+2.6.7+2) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 24 Jun 2004 15:50:54 +0200

mol-modules-2.6.7 (1:0.9.70+2.6.7+1) unstable; urgency=low

  * Rebuilt the package against both the new mol-modules-source package
    and the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 17 Jun 2004 23:38:16 +0200

mol-modules-2.6.6 (1:0.9.70+2.6.6+5) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 28 May 2004 22:27:47 +0200

mol-modules-2.6.6 (1:0.9.70+2.6.6+4) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

  * Removed the unnecessary build-time dependency on kernel-headers.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 23 May 2004 22:34:19 +0200

mol-modules-2.6.6 (1:0.9.70+2.6.6+2) unstable; urgency=low

  * Rebuilt the package against the new kernel-build packages.

 -- Jens Schmalzing <jensen@debian.org>  Mon, 17 May 2004 07:48:29 +0200


