=== debian/control ===
Source: mol-modules-2.6.12
Section: otherosfs
Priority: optional
Maintainer: Sven Luther <luther@debian.org>
Build-Depends: debhelper, mol-modules-source (>=0.9.70-9), linux-headers-2.6.12-1-powerpc (=2.6.12-6), linux-headers-2.6.12-1-powerpc-smp (=2.6.12-6)
Standards-Version: 3.6.1

Package: mol-modules-2.6.12-1-powerpc
Architecture: powerpc
Provides: mol-modules
Depends: linux-image-2.6.12-1-powerpc (>=2.6.12-1)
Description: The Mac-on-Linux emulator - kernel modules for 2.6.12-1-powerpc
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.6.12-powerpc.

Package: mol-modules-2.6.12-1-powerpc-smp
Architecture: powerpc
Provides: mol-modules
Depends: linux-image-2.6.12-1-powerpc-smp (>=2.6.12-6)
Description: The Mac-on-Linux emulator - kernel modules for 2.6.12-1-powerpc-smp
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.6.12-powerpc-smp.
